### Method

# St ThemeNode paint_equal

#### Declaration [src]

    gboolean
    st_theme_node_paint_equal (
      StThemeNode* node,
      StThemeNode* other
    )

#### Description [src]

Check if `st_theme_node_paint()` will paint identically for `node` as it does for `other`. Note that in some cases this function may return `TRUE` even if there is no visible difference in the painting.

#### Parameters

`node`

  Type: `StThemeNode`

  A `StThemeNode`.

  The argument can be `NULL`.

`other`

  Type: `StThemeNode`

  A different `StThemeNode`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the two theme nodes paint identically. `FALSE` if the two nodes potentially paint differently.